/**
 * @class kMovementComponent
 * @brief Movement, Physics
 */
class kMovementComponent
{
public:

float& AirFriction();
float& Friction();
float& Mass();
kVec3& Velocity();
EnumMovementComponentFlags& Flags();
float& WaterGravity();
float& Gravity();
float& WaterFriction();
EnumClipFlags& ClipFlags();

};
